Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.torque.generator.source
Class SourcePathTest

    java.lang.Object
      org.apache.torque.generator.source.SourcePathTest

    public class SourcePathTest

extends Object

Constructor Summary
`SourcePathTest()`

Method Summary
`void` | `setUp()`
`void` | `testGetElementFromRootParentInMiddle()`
`void` | `testGetElementFromRootSingleAbsoluteElement()`
`void` | `testGetElementFromRootSingleAbsoluteElementNoMatch()`
`void` | `testGetElementFromRootSingleRelativeElement()`
`void` | `testGetElementFromRootSingleRelativeElementNoMatch()`
`void` | `testGetElementFromRootWildcardAtStart()`
`void` | `testGetElementFromRootWildcardInMiddle()`
`void` | `testGetElementFromRootWithSlash()`
`void` | `testGetFollowing()`
`void` | `testGetFollowingNoMatch()`
`void` | `testGetPath()`
`void` | `testGetPathInfiniteLoop()`
`void` | `testGetPreceding()`
`void` | `testGetPrecedingNoMatch()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SourcePathTest

    public SourcePathTest()

Method Detail

### setUp

    public void setUp()

### testGetPath

    public void testGetPath()
                     throws GeneratorException

  Throws:
    `GeneratorException`

### testGetPathInfiniteLoop

    public void testGetPathInfiniteLoop()
                                 throws GeneratorException

  Throws:
    `GeneratorException`

### testGetElementFromRootWithSlash

    public void testGetElementFromRootWithSlash()

### testGetElementFromRootSingleRelativeElement

    public void testGetElementFromRootSingleRelativeElement()

### testGetElementFromRootSingleRelativeElementNoMatch

    public void testGetElementFromRootSingleRelativeElementNoMatch()

### testGetElementFromRootSingleAbsoluteElement

    public void testGetElementFromRootSingleAbsoluteElement()

### testGetElementFromRootSingleAbsoluteElementNoMatch

    public void testGetElementFromRootSingleAbsoluteElementNoMatch()

### testGetElementFromRootWildcardAtStart

    public void testGetElementFromRootWildcardAtStart()

### testGetElementFromRootWildcardInMiddle

    public void testGetElementFromRootWildcardInMiddle()

### testGetElementFromRootParentInMiddle

    public void testGetElementFromRootParentInMiddle()

### testGetPreceding

    public void testGetPreceding()

### testGetPrecedingNoMatch

    public void testGetPrecedingNoMatch()

### testGetFollowing

    public void testGetFollowing()

### testGetFollowingNoMatch

    public void testGetFollowingNoMatch()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 The Apache Software Foundation. All Rights Reserved.